* Makefile.in: Allow for PWDCMD to override hardcoded pwd.
* config-ml.in: Likewise.
* configure: Likewise.
* configure.in: Likewise.
boehm-gc:
* acinclude.m4: Allow for PWDCMD to override hardcoded pwd.
* aclocal.m4: Regenerate.
* configure: Regenerate.
config:
* acinclude.m4: Allow for PWDCMD to override hardcoded pwd.
contrib:
* test_installed: Allow for PWDCMD to override hardcoded pwd.
* test_summary: Likewise.
gcc:
* Makefile.in: Allow for PWDCMD to override hardcoded pwd.
* configure.in: Likewise.
* fixinc/check.tpl: Likewise.
* fixinc/fixinc.dgux: Likewise.
* fixinc/fixinc.svr4: Likewise.
* fixinc/fixinc.winnt: Likewise.
* fixinc/fixincl.sh: Likewise.
* fixproto: Likewise.
* configure: Regenerate.
gcc/ada:
* Makefile.adalib: Allow for PWDCMD to override hardcoded pwd.
* Makefile.in: Likewise.
gcc/f:
* Make-lang.in: Allow for PWDCMD to override hardcoded pwd.
gcc/java:
* Make-lang.in: Allow for PWDCMD to override hardcoded pwd.
gcc/po:
* exgettext: Allow for PWDCMD to override hardcoded pwd.
gcc/treelang:
* Make-lang.in: Allow for PWDCMD to override hardcoded pwd.
libf2c:
* Makefile.in: Allow for PWDCMD to override hardcoded pwd.
* aclocal.m4: Likewise.
* configure: Regenerate.
libjava:
* acinclude.m4: Allow for PWDCMD to override hardcoded pwd.
* configure.in: Likewise.
* aclocal.m4: Regenerate.
* configure: Regenerate.
libobjc:
* aclocal.m4: Allow for PWDCMD to override hardcoded pwd.
* configure: Regenerate.
libstdc++-v3:
* Makefile.am: Allow for PWDCMD to override hardcoded pwd.
* acinclude.m4: Likewise.
* docs/html/Makefile: Likewise.
* aclocal.m4: Regenerate.
* configure: Regenerate.
* Makefile.in: Regenerate.
zlib:
* configure.in: Allow for PWDCMD to override hardcoded pwd.
* configure: Regenerate.
* ChangeLog: Move entries to ChangeLog.gcj.
From-SVN: r53523
+2002-05-16 Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
+
+ * Makefile.in: Allow for PWDCMD to override hardcoded pwd.
+ * config-ml.in: Likewise.
+ * configure: Likewise.
+ * configure.in: Likewise.
+
2002-05-16 Stephane Carrez <stcarrez@nerim.fr>
* MAINTAINERS: Update my email address.
#
# Makefile for directory with subdirs to build.
# Copyright (C) 1990, 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998,
-# 1999, 2000, 2001 Free Software Foundation
+# 1999, 2000, 2001, 2002 Free Software Foundation
#
# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
SHELL = /bin/sh
+# pwd command to use. Allow user to override default by setting PWDCMD in
+# the environment to account for automounters. The make variable must not
+# be called PWDCMD, otherwise the value set here is passed to make
+# subprocesses and overrides the setting from the user's environment.
+PWD = $${PWDCMD-pwd}
+
# INSTALL_PROGRAM_ARGS is changed by configure.in to use -x for a
# cygwin host.
INSTALL_PROGRAM_ARGS =
.PHONY: $(DO_X)
$(DO_X):
@target=`echo $@ | sed -e 's/^do-//'`; \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
for i in $(SUBDIRS) -dummy-; do \
if [ -f ./$$i/Makefile ]; then \
else true; fi; \
done
@target=`echo $@ | sed -e 's/^do-//'`; \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
for i in $(TARGET_CONFIGDIRS) -dummy-; do \
if [ -f $(TARGET_SUBDIR)/$$i/Makefile ]; then \
do-info: all-texinfo
install-info: do-install-info dir.info
- s=`cd $(srcdir); pwd`; export s; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
if [ -f dir.info ] ; then \
$(INSTALL_DATA) dir.info $(infodir)/dir.info ; \
else true ; fi
$(CLEAN_MODULES) $(CLEAN_X11_MODULES) clean-gcc:
@dir=`echo $@ | sed -e 's/clean-//'`; \
if [ -f ./$${dir}/Makefile ] ; then \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
(cd $${dir}; $(MAKE) $(FLAGS_TO_PASS) clean); \
else \
@dir=`echo $@ | sed -e 's/clean-target-//'`; \
rm -f $(TARGET_SUBDIR)/$${dir}/multilib.out $(TARGET_SUBDIR)/$${dir}/tmpmulti.out; \
if [ -f $(TARGET_SUBDIR)/$${dir}/Makefile ] ; then \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
(cd $(TARGET_SUBDIR)/$${dir}; $(MAKE) $(TARGET_FLAGS_TO_PASS) clean); \
else \
.PHONY: install.all
install.all: install-no-fixedincludes
@if [ -f ./gcc/Makefile ] ; then \
- r=`pwd` ; export r ; \
+ r=`${PWD}` ; export r ; \
$(SET_LIB_PATH) \
(cd ./gcc; \
$(MAKE) $(FLAGS_TO_PASS) install-headers) ; \
cp $(srcdir)/gcc/gsyslimits.h gcc/include/syslimits.h; \
touch gcc/stmp-fixinc gcc/include/fixed; \
rm -f gcc/stmp-headers gcc/stmp-int-hdrs; \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd` ; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}` ; export s; \
$(SET_LIB_PATH) \
(cd ./gcc; \
$(MAKE) $(GCC_FLAGS_TO_PASS) install); \
$(ALL_BUILD_MODULES):
dir=`echo $@ | sed -e 's/all-build-//'`; \
if [ -f ./$${dir}/Makefile ] ; then \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
(cd $(BUILD_SUBDIR)/$${dir} && $(MAKE) all); \
else \
true; \
elif echo " $(BUILD_CONFIGDIRS) " | grep " $${dir} " >/dev/null 2>&1; then \
if [ -d $(srcdir)/$${dir} ]; then \
[ -d $(BUILD_SUBDIR)/$${dir} ] || mkdir $(BUILD_SUBDIR)/$${dir};\
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
AR="$(AR_FOR_BUILD)"; export AR; \
AS="$(AS_FOR_BUILD)"; export AS; \
CC="$(CC_FOR_BUILD)"; export CC; \
$(ALL_MODULES) all-gui all-libproc:
@dir=`echo $@ | sed -e 's/all-//'`; \
if [ -f ./$${dir}/Makefile ] ; then \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
(cd $${dir}; $(MAKE) $(FLAGS_TO_PASS) all); \
else \
@if [ '$(host_canonical)' = '$(target_canonical)' ] ; then \
dir=`echo $@ | sed -e 's/check-//'`; \
if [ -f ./$${dir}/Makefile ] ; then \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
(cd $${dir}; $(MAKE) $(FLAGS_TO_PASS) check); \
else \
$(CROSS_CHECK_MODULES):
@dir=`echo $@ | sed -e 's/check-//'`; \
if [ -f ./$${dir}/Makefile ] ; then \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
(cd $${dir}; $(MAKE) $(FLAGS_TO_PASS) check); \
else \
$(INSTALL_MODULES): installdirs
@dir=`echo $@ | sed -e 's/install-//'`; \
if [ -f ./$${dir}/Makefile ] ; then \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
(cd $${dir}; $(MAKE) $(FLAGS_TO_PASS) install); \
else \
$(CONFIGURE_TARGET_MODULES):
@dir=`echo $@ | sed -e 's/configure-target-//'`; \
if [ -d $(TARGET_SUBDIR)/$${dir} ]; then \
- r=`pwd`; export r; \
+ r=`${PWD}`; export r; \
$(CC_FOR_TARGET) --print-multi-lib > $(TARGET_SUBDIR)/$${dir}/tmpmulti.out 2> /dev/null; \
if [ -s $(TARGET_SUBDIR)/$${dir}/tmpmulti.out ]; then \
if [ -f $(TARGET_SUBDIR)/$${dir}/multilib.out ]; then \
elif echo " $(TARGET_CONFIGDIRS) " | grep " $${dir} " >/dev/null 2>&1; then \
if [ -d $(srcdir)/$${dir} ]; then \
[ -d $(TARGET_SUBDIR)/$${dir} ] || mkdir $(TARGET_SUBDIR)/$${dir};\
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
AR="$(AR_FOR_TARGET)"; export AR; \
AS="$(AS_FOR_TARGET)"; export AS; \
$(ALL_TARGET_MODULES):
@dir=`echo $@ | sed -e 's/all-target-//'`; \
if [ -f $(TARGET_SUBDIR)/$${dir}/Makefile ] ; then \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
(cd $(TARGET_SUBDIR)/$${dir}; \
$(MAKE) $(TARGET_FLAGS_TO_PASS) all); \
$(CHECK_TARGET_MODULES):
@dir=`echo $@ | sed -e 's/check-target-//'`; \
if [ -f $(TARGET_SUBDIR)/$${dir}/Makefile ] ; then \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
(cd $(TARGET_SUBDIR)/$${dir}; \
$(MAKE) $(TARGET_FLAGS_TO_PASS) check);\
$(INSTALL_TARGET_MODULES): installdirs
@dir=`echo $@ | sed -e 's/install-target-//'`; \
if [ -f $(TARGET_SUBDIR)/$${dir}/Makefile ] ; then \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
(cd $(TARGET_SUBDIR)/$${dir}; \
$(MAKE) $(TARGET_FLAGS_TO_PASS) install); \
$(ALL_X11_MODULES):
@dir=`echo $@ | sed -e 's/all-//'`; \
if [ -f ./$${dir}/Makefile ] ; then \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
(cd $${dir}; \
$(MAKE) $(FLAGS_TO_PASS) $(X11_FLAGS_TO_PASS) all); \
$(CHECK_X11_MODULES):
@dir=`echo $@ | sed -e 's/check-//'`; \
if [ -f ./$${dir}/Makefile ] ; then \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
(cd $${dir}; \
$(MAKE) $(FLAGS_TO_PASS) $(X11_FLAGS_TO_PASS) check); \
$(INSTALL_X11_MODULES): installdirs
@dir=`echo $@ | sed -e 's/install-//'`; \
if [ -f ./$${dir}/Makefile ] ; then \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
(cd $${dir}; \
$(MAKE) $(FLAGS_TO_PASS) $(X11_FLAGS_TO_PASS) install); \
.PHONY: all-gcc
all-gcc:
@if [ -f ./gcc/Makefile ] ; then \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
(cd gcc; $(MAKE) $(GCC_FLAGS_TO_PASS) all); \
else \
#
.PHONY: bootstrap bootstrap-lean bootstrap2 bootstrap2-lean bootstrap3 bootstrap3-lean bootstrap4 bootstrap4-lean
bootstrap bootstrap-lean bootstrap2 bootstrap2-lean bootstrap3 bootstrap3-lean bootstrap4 bootstrap4-lean: all-bootstrap
- @r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ @r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
echo "Bootstrapping the compiler"; \
cd gcc && $(MAKE) $(GCC_FLAGS_TO_PASS) $@
- @r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ @r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
case "$@" in \
*bootstrap4-lean ) \
msg="Comparing stage3 and stage4 of the compiler"; \
$(SET_LIB_PATH) \
echo "$$msg"; \
cd gcc && $(MAKE) $(GCC_FLAGS_TO_PASS) $$compare
- @r=`pwd`; export r; \
- s=`cd $(srcdir); pwd` ; export s; \
+ @r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}` ; export s; \
$(SET_LIB_PATH) \
echo "Building runtime libraries"; \
$(MAKE) $(BASE_FLAGS_TO_PASS) $(RECURSE_FLAGS) all
.PHONY: cross
cross: all-texinfo all-bison all-byacc all-binutils all-gas all-ld
- @r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ @r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
echo "Building the C and C++ compiler"; \
cd gcc && $(MAKE) $(GCC_FLAGS_TO_PASS) LANGUAGES="c c++"
- @r=`pwd`; export r; \
- s=`cd $(srcdir); pwd` ; export s; \
+ @r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}` ; export s; \
$(SET_LIB_PATH) \
echo "Building runtime libraries"; \
$(MAKE) $(BASE_FLAGS_TO_PASS) $(RECURSE_FLAGS) \
.PHONY: check-gcc
check-gcc:
@if [ -f ./gcc/Makefile ] ; then \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
(cd gcc; $(MAKE) $(GCC_FLAGS_TO_PASS) check); \
else \
.PHONY: check-c++
check-c++:
@if [ -f ./gcc/Makefile ] ; then \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
(cd gcc; $(MAKE) $(GCC_FLAGS_TO_PASS) check-c++); \
$(MAKE) check-target-libstdc++-v3; \
.PHONY: install-gcc
install-gcc:
@if [ -f ./gcc/Makefile ] ; then \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
(cd gcc; $(MAKE) $(GCC_FLAGS_TO_PASS) install); \
else \
.PHONY: install-gcc-cross
install-gcc-cross:
@if [ -f ./gcc/Makefile ] ; then \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
(cd gcc; $(MAKE) $(GCC_FLAGS_TO_PASS) LANGUAGES="c c++" install); \
else \
install-dosrel: installdirs info
@dir=`echo $@ | sed -e 's/install-//'`; \
if [ -f ./$${dir}/Makefile ] ; then \
- r=`pwd`; export r; \
- s=`cd $(srcdir); pwd`; export s; \
+ r=`${PWD}`; export r; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
$(SET_LIB_PATH) \
(cd $${dir}; $(MAKE) $(FLAGS_TO_PASS) install); \
else \
+2002-05-16 Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
+
+ * acinclude.m4: Allow for PWDCMD to override hardcoded pwd.
+ * aclocal.m4: Regenerate.
+ * configure: Regenerate.
+
2002-05-08 Alexandre Oliva <aoliva@redhat.com>
* configure.in (ORIGINAL_LD_FOR_MULTILIBS): Preserve LD at
-# Copyright (c) 1999-2001 by Red Hat, Inc. All rights reserved.
+# Copyright (c) 1999-2001, 2002 by Red Hat, Inc. All rights reserved.
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED. ANY USE IS AT YOUR OWN RISK.
AC_CANONICAL_SYSTEM
# This works around an automake problem.
-mkinstalldirs="`cd $ac_aux_dir && pwd`/mkinstalldirs"
+mkinstalldirs="`cd $ac_aux_dir && ${PWDCMD-pwd}`/mkinstalldirs"
AC_SUBST(mkinstalldirs)
AM_INIT_AUTOMAKE(gc, 6.1a1, no-define)
dnl even the implied warranty of MERCHANTABILITY or FITNESS FOR A
dnl PARTICULAR PURPOSE.
-# Copyright (c) 1999-2001 by Red Hat, Inc. All rights reserved.
+# Copyright (c) 1999-2001, 2002 by Red Hat, Inc. All rights reserved.
#
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED. ANY USE IS AT YOUR OWN RISK.
AC_CANONICAL_SYSTEM
# This works around an automake problem.
-mkinstalldirs="`cd $ac_aux_dir && pwd`/mkinstalldirs"
+mkinstalldirs="`cd $ac_aux_dir && ${PWDCMD-pwd}`/mkinstalldirs"
AC_SUBST(mkinstalldirs)
AM_INIT_AUTOMAKE(gc, 6.0, no-define)
# This works around an automake problem.
-mkinstalldirs="`cd $ac_aux_dir && pwd`/mkinstalldirs"
+mkinstalldirs="`cd $ac_aux_dir && ${PWDCMD-pwd}`/mkinstalldirs"
cat > Multi.tem <<\EOF
+PWD=$${PWDCMD-pwd}
+
# FIXME: There should be an @-sign in front of the `if'.
# Leave out until this is tested a bit more.
multi-do:
if [ -z "$(MULTIDIRS)" ]; then \
true; \
else \
- rootpre=`pwd`/; export rootpre; \
- srcrootpre=`cd $(srcdir); pwd`/; export srcrootpre; \
+ rootpre=`${PWD}`/; export rootpre; \
+ srcrootpre=`cd $(srcdir); ${PWD}`/; export srcrootpre; \
lib=`echo $${rootpre} | sed -e 's,^.*/\([^/][^/]*\)/$$,\1,'`; \
compiler="$(CC)"; \
for i in `$${compiler} --print-multi-lib 2>/dev/null`; do \
if [ -z "$(MULTIDIRS)" ]; then \
true; \
else \
- lib=`pwd | sed -e 's,^.*/\([^/][^/]*\)$$,\1,'`; \
+ lib=`${PWD} | sed -e 's,^.*/\([^/][^/]*\)$$,\1,'`; \
for dir in Makefile $(MULTIDIRS); do \
if [ -f ../$${dir}/$${lib}/Makefile ]; then \
if (cd ../$${dir}/$${lib}; $(MAKE) $(FLAGS_TO_PASS) $(DO)); \
if [ "${ml_verbose}" = --verbose ]; then
echo "Running configure in multilib subdirs ${multidirs}"
- echo "pwd: `pwd`"
+ echo "pwd: `${PWDCMD-pwd}`"
fi
- ml_origdir=`pwd`
+ ml_origdir=`${PWDCMD-pwd}`
ml_libdir=`echo $ml_origdir | sed -e 's,^.*/,,'`
# cd to top-level-build-dir/${with_target_subdir}
cd ..
if [ "${ml_verbose}" = --verbose ]; then
echo "Running configure in multilib subdir ${ml_dir}"
- echo "pwd: `pwd`"
+ echo "pwd: `${PWDCMD-pwd}`"
fi
if [ -d ${ml_dir} ]; then true; else
case ${srcdir} in
".")
- echo Building symlink tree in `pwd`/${ml_dir}/${ml_libdir}
+ echo Building symlink tree in `${PWDCMD-pwd}`/${ml_dir}/${ml_libdir}
if [ "${with_target_subdir}" != "." ]; then
ml_unsubdir="../"
else
+2002-05-16 Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
+
+ * acinclude.m4: Allow for PWDCMD to override hardcoded pwd.
+
2002-05-13 Nathanael Nerode <neroden@twcny.rr.com>
* mh-apollo68: remove unused HDEFINES setting.
AC_CACHE_VAL(ac_cv_c_bfdh,[
for i in $dirlist; do
if test -f "$i/bfd/bfd.h" ; then
- ac_cv_c_bfdh=`(cd $i/bfd; pwd)`
+ ac_cv_c_bfdh=`(cd $i/bfd; ${PWDCMD-pwd})`
break
fi
done
AC_CACHE_VAL(ac_cv_c_bfdlib,[
for i in $dirlist; do
if test -f "$i/bfd/Makefile" ; then
- ac_cv_c_bfdlib=`(cd $i/bfd; pwd)`
+ ac_cv_c_bfdlib=`(cd $i/bfd; ${PWDCMD-pwd})`
fi
done
])
AC_CACHE_VAL(ac_cv_c_liberty,[
for i in $dirlist; do
if test -f "$i/libiberty/Makefile" ; then
- ac_cv_c_liberty=`(cd $i/libiberty; pwd)`
+ ac_cv_c_liberty=`(cd $i/libiberty; ${PWDCMD-pwd})`
fi
done
])
AC_CACHE_VAL(ac_cv_c_opc,[
for i in $dirlist; do
if test -f "$i/opcodes/Makefile" ; then
- ac_cv_c_opc=`(cd $i/opcodes; pwd)`
+ ac_cv_c_opc=`(cd $i/opcodes; ${PWDCMD-pwd})`
fi
done
])
AC_CACHE_VAL(ac_cv_c_dejagnu,[
for i in $dirlist; do
if test -f "$srcdir/$i/ecc/ecc/infra/testlib/current/include/dejagnu.h" ; then
- ac_cv_c_dejagnu=`(cd $srcdir/$i/ecc/ecc/infra/testlib/current/include; pwd)`
+ ac_cv_c_dejagnu=`(cd $srcdir/$i/ecc/ecc/infra/testlib/current/include; ${PWDCMD-pwd})`
fi
done
])
AC_CACHE_VAL(ac_cv_c_dejagnulib,[
for i in $dirlist; do
if test -f "$srcdir/$i/infra/testlib/current/lib/hostutil.exp" ; then
- ac_cv_c_dejagnulib=`(cd $srcdir/$i/infra/testlib/current/lib; pwd)`
+ ac_cv_c_dejagnulib=`(cd $srcdir/$i/infra/testlib/current/lib; ${PWDCMD-pwd})`
fi
done
])
AC_CACHE_VAL(ac_cv_c_runtest,[
for i in $dirlist; do
if test -f "$srcdir/$i/dejagnu/runtest" ; then
- ac_cv_c_runtest=`(cd $srcdir/$i/dejagnu; pwd)`
+ ac_cv_c_runtest=`(cd $srcdir/$i/dejagnu; ${PWDCMD-pwd})`
fi
done
])
AC_CACHE_VAL(ac_cv_c_intlh,[
for i in $dirlist; do
if test -f "$i/intl/libintl.h" ; then
- ac_cv_c_intlh=`(cd $i/intl; pwd)`
+ ac_cv_c_intlh=`(cd $i/intl; ${PWDCMD-pwd})`
break
fi
done
AC_CACHE_VAL(ac_cv_c_intllib,[
for i in $dirlist; do
if test -f "$i/intl/Makefile" ; then
- ac_cv_c_intllib=`(cd $i/intl; pwd)`
+ ac_cv_c_intllib=`(cd $i/intl; ${PWDCMD-pwd})`
fi
done
])
AC_CACHE_VAL(ac_cv_c_simh,[
for i in $dirlist; do
if test -f "${srcdir}/$i/include/remote-sim.h" ; then
- ac_cv_c_simh=`(cd ${srcdir}/$i/include; pwd)`
+ ac_cv_c_simh=`(cd ${srcdir}/$i/include; ${PWDCMD-pwd})`
break
fi
done
AC_CACHE_VAL(ac_cv_c_simlib,[
for i in $dirlist; do
if test -f "$i/sim/$target_dir/Makefile" ; then
- ac_cv_c_simlib=`(cd $i/sim/$target_dir; pwd)`
+ ac_cv_c_simlib=`(cd $i/sim/$target_dir; ${PWDCMD-pwd})`
fi
done
])
AC_CACHE_VAL(ac_cv_c_libib,[
for i in $dirlist; do
if test -f "$i/libiberty/Makefile" ; then
- ac_cv_c_libib=`(cd $i/libiberty/; pwd)`
+ ac_cv_c_libib=`(cd $i/libiberty/; ${PWDCMD-pwd})`
fi
done
])
AC_CACHE_VAL(ac_cv_c_devoh,[
for i in $dirlist; do
if test -f "${srcdir}/$i/include/remote-sim.h" ; then
- ac_cv_c_devoh=`(cd ${srcdir}/$i/include; pwd)`
+ ac_cv_c_devoh=`(cd ${srcdir}/$i/include; ${PWDCMD-pwd})`
fi
done
])
AC_CACHE_VAL(ac_cv_c_ideh,[
for i in $dirlist; do
if test -f "${srcdir}/$i/libide/src/event.h" ; then
- ac_cv_c_ideh=`(cd ${srcdir}/$i/libide/src; pwd)`;
+ ac_cv_c_ideh=`(cd ${srcdir}/$i/libide/src; ${PWDCMD-pwd})`;
fi
done
])
AC_CACHE_VAL(ac_cv_c_idetclh,[
for i in $dirlist; do
if test -f "${srcdir}/$i/libidetcl/src/idetcl.h" ; then
- ac_cv_c_idetclh=`(cd ${srcdir}/$i/libidetcl/src; pwd)`;
+ ac_cv_c_idetclh=`(cd ${srcdir}/$i/libidetcl/src; ${PWDCMD-pwd})`;
fi
done
])
AC_CACHE_VAL(ac_cv_c_ideh2,[
for i in $dirlist; do
if test -f "$i/libide/src/Makefile" ; then
- ac_cv_c_ideh2=`(cd $i/libide/src; pwd)`;
+ ac_cv_c_ideh2=`(cd $i/libide/src; ${PWDCMD-pwd})`;
fi
done
])
if test x"${ac_cv_c_idelib}" = x ; then
for i in $dirlist; do
if test -f "$i/libide/src/Makefile" ; then
- ac_cv_c_idelib=`(cd $i/libide/src; pwd)`
+ ac_cv_c_idelib=`(cd $i/libide/src; ${PWDCMD-pwd})`
break
fi
done
if test x"${ac_cv_c_idetcllib}" = x ; then
for i in $dirlist; do
if test -f "$i/libidetcl/src/Makefile" ; then
- ac_cv_c_idetcllib=`(cd $i/libidetcl/src; pwd)`
+ ac_cv_c_idetcllib=`(cd $i/libidetcl/src; ${PWDCMD-pwd})`
break
fi
done
AC_CACHE_VAL(ac_cv_c_iluh,[
for i in $dirlist; do
if test -f "${srcdir}/$i/ilu/runtime/kernel/method.h" ; then
- ac_cv_c_iluh=`(cd ${srcdir}/$i/ilu/runtime/kernel; pwd)`
+ ac_cv_c_iluh=`(cd ${srcdir}/$i/ilu/runtime/kernel; ${PWDCMD-pwd})`
fi
done
])
AC_CACHE_VAL(ac_cv_c_iluh5,[
for i in $dirlist; do
if test -f "$i/ilu/runtime/kernel/iluconf.h" ; then
- ac_cv_c_iluh5=`(cd $i/ilu/runtime/kernel; pwd)`
+ ac_cv_c_iluh5=`(cd $i/ilu/runtime/kernel; ${PWDCMD-pwd})`
fi
done
])
AC_CACHE_VAL(ac_cv_c_iluh2,[
for i in $dirlist; do
if test -f "${srcdir}/$i/ilu/stubbers/cpp/resource.h" ; then
- ac_cv_c_iluh2=`(cd ${srcdir}/$i/ilu/stubbers/cpp; pwd)`
+ ac_cv_c_iluh2=`(cd ${srcdir}/$i/ilu/stubbers/cpp; ${PWDCMD-pwd})`
fi
done
])
AC_CACHE_VAL(ac_cv_c_iluh3,[
for i in $dirlist; do
if test -f "${srcdir}/$i/ilu/stubbers/c/resource.h" ; then
- ac_cv_c_iluh3=`(cd ${srcdir}/$i/ilu/stubbers/c ; pwd)`
+ ac_cv_c_iluh3=`(cd ${srcdir}/$i/ilu/stubbers/c ; ${PWDCMD-pwd})`
fi
done
])
AC_CACHE_VAL(ac_cv_c_iluh4,[
for i in $dirlist; do
if test -f "${srcdir}/$i/ilu/runtime/c/ilucstub.h" ; then
- ac_cv_c_iluh4=`(cd ${srcdir}/$i/ilu/runtime/c ; pwd)`
+ ac_cv_c_iluh4=`(cd ${srcdir}/$i/ilu/runtime/c ; ${PWDCMD-pwd})`
fi
done
])
AC_CACHE_VAL(ac_cv_c_ilupath,[
for i in $dirlist; do
if test -f "$i/ilu/Makefile" ; then
- ac_cv_c_ilupath=`(cd $i/ilu; pwd)`
+ ac_cv_c_ilupath=`(cd $i/ilu; ${PWDCMD-pwd})`
break
fi
done
AC_MSG_CHECKING(for the ILU library in the build tree)
AC_CACHE_VAL(ac_cv_c_ilulib,[
if test -f "$ac_cv_c_ilupath/runtime/kernel/Makefile" ; then
- ac_cv_c_ilulib=`(cd $ac_cv_c_ilupath/runtime/kernel; pwd)`
+ ac_cv_c_ilulib=`(cd $ac_cv_c_ilupath/runtime/kernel; ${PWDCMD-pwd})`
AC_MSG_RESULT(found ${ac_cv_c_ilulib}/libilu.a)
else
AC_MSG_RESULT(no)
AC_MSG_CHECKING(for the ILU C++ bindings library in the build tree)
AC_CACHE_VAL(ac_cv_c_ilulib2,[
if test -f "$ac_cv_c_ilupath/runtime/cpp/Makefile" ; then
- ac_cv_c_ilulib2=`(cd $ac_cv_c_ilupath/runtime/cpp; pwd)`
+ ac_cv_c_ilulib2=`(cd $ac_cv_c_ilupath/runtime/cpp; ${PWDCMD-pwd})`
AC_MSG_RESULT(found ${ac_cv_c_ilulib2}/libilu-c++.a)
else
AC_MSG_RESULT(no)
AC_MSG_CHECKING(for the ILU C bindings library in the build tree)
AC_CACHE_VAL(ac_cv_c_ilulib3,[
if test -f "$ac_cv_c_ilupath/runtime/c/Makefile" ; then
- ac_cv_c_ilulib3=`(cd $ac_cv_c_ilupath/runtime/c; pwd)`
+ ac_cv_c_ilulib3=`(cd $ac_cv_c_ilupath/runtime/c; ${PWDCMD-pwd})`
AC_MSG_RESULT(found ${ac_cv_c_ilulib3}/libilu-c.a)
else
AC_MSG_RESULT(no)
AC_MSG_CHECKING(for the ILU Tk bindings library in the build tree)
AC_CACHE_VAL(ac_cv_c_ilulib4,[
if test -f "$ac_cv_c_ilupath/runtime/mainloop/Makefile" ; then
- ac_cv_c_ilulib4=`(cd $ac_cv_c_ilupath/runtime/mainloop; pwd)`
+ ac_cv_c_ilulib4=`(cd $ac_cv_c_ilupath/runtime/mainloop; ${PWDCMD-pwd})`
AC_MSG_RESULT(found ${ac_cv_c_ilulib4}/libilu-tk.a)
else
AC_MSG_RESULT(no)
dnl first check to see if --with-tclinclude was specified
if test x"${with_tclinclude}" != x ; then
if test -f ${with_tclinclude}/tcl.h ; then
- ac_cv_c_tclh=`(cd ${with_tclinclude}; pwd)`
+ ac_cv_c_tclh=`(cd ${with_tclinclude}; ${PWDCMD-pwd})`
elif test -f ${with_tclinclude}/generic/tcl.h ; then
- ac_cv_c_tclh=`(cd ${with_tclinclude}/generic; pwd)`
+ ac_cv_c_tclh=`(cd ${with_tclinclude}/generic; ${PWDCMD-pwd})`
else
AC_MSG_ERROR([${with_tclinclude} directory doesn't contain headers])
fi
if test x"${ac_cv_c_tclconfig}" != x ; then
for i in $dirlist; do
if test -f $ac_cv_c_tclconfig/$i/generic/tcl.h ; then
- ac_cv_c_tclh=`(cd $ac_cv_c_tclconfig/$i/generic; pwd)`
+ ac_cv_c_tclh=`(cd $ac_cv_c_tclconfig/$i/generic; ${PWDCMD-pwd})`
break
fi
done
dnl might be multiple version of Tcl, and we want the most recent one.
for i in `ls -dr $tclpath/tcl* 2>/dev/null ` ; do
if test -f $i/generic/tcl.h ; then
- ac_cv_c_tclh=`(cd $i/generic; pwd)`
+ ac_cv_c_tclh=`(cd $i/generic; ${PWDCMD-pwd})`
break
fi
done
dnl First check to see if --with-tclconfig was specified.
if test x"${with_tclconfig}" != x ; then
if test -f "${with_tclconfig}/tclConfig.sh" ; then
- ac_cv_c_tclconfig=`(cd ${with_tclconfig}; pwd)`
+ ac_cv_c_tclconfig=`(cd ${with_tclconfig}; ${PWDCMD-pwd})`
else
AC_MSG_ERROR([${with_tclconfig} directory doesn't contain tclConfig.sh])
fi
dnl cygwin's tkConfig.sh could be in either directory depending
dnl on the cygwin port of tcl.
if test -f $srcdir/$i/unix/tclConfig.sh ; then
- ac_cv_c_tclconfig=`(cd $srcdir/$i/unix; pwd)`
+ ac_cv_c_tclconfig=`(cd $srcdir/$i/unix; ${PWDCMD-pwd})`
break
fi
if test -f $srcdir/$i/win/tclConfig.sh ; then
- ac_cv_c_tclconfig=`(cd $srcdir/$i/win; pwd)`
+ ac_cv_c_tclconfig=`(cd $srcdir/$i/win; ${PWDCMD-pwd})`
break
fi
done
dnl cygwin's tclConfig.sh could be in either directory depending
dnl on the cygwin port of tcl.
if test -f $i/unix/tclConfig.sh ; then
- ac_cv_c_tclconfig=`(cd $i/unix; pwd)`
+ ac_cv_c_tclconfig=`(cd $i/unix; ${PWDCMD-pwd})`
break
fi
if test -f $i/win/tclConfig.sh ; then
- ac_cv_c_tclconfig=`(cd $i/win; pwd)`
+ ac_cv_c_tclconfig=`(cd $i/win; ${PWDCMD-pwd})`
break
fi
done
dnl first check to see if --with-tkinclude was specified
if test x"${with_tkinclude}" != x ; then
if test -f ${with_tkinclude}/tk.h ; then
- ac_cv_c_tkh=`(cd ${with_tkinclude}; pwd)`
+ ac_cv_c_tkh=`(cd ${with_tkinclude}; ${PWDCMD-pwd})`
elif test -f ${with_tkinclude}/generic/tk.h ; then
- ac_cv_c_tkh=`(cd ${with_tkinclude}/generic; pwd)`
+ ac_cv_c_tkh=`(cd ${with_tkinclude}/generic; ${PWDCMD-pwd})`
else
AC_MSG_ERROR([${with_tkinclude} directory doesn't contain headers])
fi
if test x"${ac_cv_c_tkconfig}" != x ; then
for i in $dirlist; do
if test -f $ac_cv_c_tkconfig/$i/generic/tk.h ; then
- ac_cv_c_tkh=`(cd $ac_cv_c_tkconfig/$i/generic; pwd)`
+ ac_cv_c_tkh=`(cd $ac_cv_c_tkconfig/$i/generic; ${PWDCMD-pwd})`
break
fi
done
dnl might be multiple version of Tk, and we want the most recent one.
for i in `ls -dr $tkpath/tk* 2>/dev/null ` ; do
if test -f $i/generic/tk.h ; then
- ac_cv_c_tkh=`(cd $i/generic; pwd)`
+ ac_cv_c_tkh=`(cd $i/generic; ${PWDCMD-pwd})`
break
fi
done
dnl First check to see if --with-tkconfig was specified.
if test x"${with_tkconfig}" != x ; then
if test -f "${with_tkconfig}/tkConfig.sh" ; then
- ac_cv_c_tkconfig=`(cd ${with_tkconfig}; pwd)`
+ ac_cv_c_tkconfig=`(cd ${with_tkconfig}; ${PWDCMD-pwd})`
else
AC_MSG_ERROR([${with_tkconfig} directory doesn't contain tkConfig.sh])
fi
dnl cygwin's tkConfig.sh could be in either directory depending
dnl on the cygwin port of tk.
if test -f $srcdir/$i/unix/tkConfig.sh ; then
- ac_cv_c_tkconfig=`(cd $srcdir/$i/unix; pwd)`
+ ac_cv_c_tkconfig=`(cd $srcdir/$i/unix; ${PWDCMD-pwd})`
break
fi
if test -f $srcdir/$i/win/tkConfig.sh ; then
- ac_cv_c_tkconfig=`(cd $srcdir/$i/unix; pwd)`
+ ac_cv_c_tkconfig=`(cd $srcdir/$i/unix; ${PWDCMD-pwd})`
break
fi
done
dnl cygwin's tkConfig.sh could be in either directory depending
dnl on the cygwin port of tk.
if test -f $i/unix/tkConfig.sh ; then
- ac_cv_c_tkconfig=`(cd $i/unix; pwd)`
+ ac_cv_c_tkconfig=`(cd $i/unix; ${PWDCMD-pwd})`
break
fi
if test -f $i/win/tkConfig.sh ; then
- ac_cv_c_tkconfig=`(cd $i/win; pwd)`
+ ac_cv_c_tkconfig=`(cd $i/win; ${PWDCMD-pwd})`
break
fi
done
dnl first check to see if --with-itclinclude was specified
if test x"${with_itclinclude}" != x ; then
if test -f ${with_itclinclude}/itcl.h ; then
- ac_cv_c_itclh=`(cd ${with_itclinclude}; pwd)`
+ ac_cv_c_itclh=`(cd ${with_itclinclude}; ${PWDCMD-pwd})`
elif test -f ${with_itclinclude}/src/itcl.h ; then
- ac_cv_c_itclh=`(cd ${with_itclinclude}/src; pwd)`
+ ac_cv_c_itclh=`(cd ${with_itclinclude}/src; ${PWDCMD-pwd})`
else
AC_MSG_ERROR([${with_itclinclude} directory doesn't contain headers])
fi
if test x"${ac_cv_c_itclconfig}" != x ; then
for i in $dirlist; do
if test -f $ac_cv_c_itclconfig/$i/src/itcl.h ; then
- ac_cv_c_itclh=`(cd $ac_cv_c_itclconfig/$i/src; pwd)`
+ ac_cv_c_itclh=`(cd $ac_cv_c_itclconfig/$i/src; ${PWDCMD-pwd})`
break
fi
done
dnl might be multiple version of Itcl, and we want the most recent one.
for i in `ls -dr $itclpath/itcl* 2>/dev/null ` ; do
if test -f $i/src/itcl.h ; then
- ac_cv_c_itclh=`(cd $i/src; pwd)`
+ ac_cv_c_itclh=`(cd $i/src; ${PWDCMD-pwd})`
break
fi
done
dnl First check to see if --with-itcllib was specified.
if test x"${with_itcllib}" != x ; then
if test -f "${with_itcllib}/libitcl$TCL_SHARED_LIB_SUFFIX" ; then
- ac_cv_c_itcllib=`(cd ${with_itcllib}; pwd)`/libitcl$TCL_SHARED_LIB_SUFFIX
+ ac_cv_c_itcllib=`(cd ${with_itcllib}; ${PWDCMD-pwd})`/libitcl$TCL_SHARED_LIB_SUFFIX
else
if test -f "${with_itcllib}/libitcl$TCL_UNSHARED_LIB_SUFFIX"; then
- ac_cv_c_itcllib=`(cd ${with_itcllib}; pwd)`/libitcl$TCL_UNSHARED_LIB_SUFFIX
+ ac_cv_c_itcllib=`(cd ${with_itcllib}; ${PWDCMD-pwd})`/libitcl$TCL_UNSHARED_LIB_SUFFIX
fi
fi
fi
done
dnl Itcl 7.5 and greater puts library in subdir. Look there first.
if test -f "$itclpath/src/libitcl.$TCL_SHLIB_SUFFIX" ; then
- ac_cv_c_itcllib=`(cd $itclpath/src; pwd)`
+ ac_cv_c_itcllib=`(cd $itclpath/src; ${PWDCMD-pwd})`
elif test -f "$itclpath/src/libitcl.a"; then
- ac_cv_c_itcllib=`(cd $itclpath/src; pwd)`
+ ac_cv_c_itcllib=`(cd $itclpath/src; ${PWDCMD-pwd})`
fi
fi
dnl check in a few other private locations
for i in `ls -dr ${itclpath}/itcl* 2>/dev/null` ; do
dnl Itcl 7.5 and greater puts library in subdir. Look there first.
if test -f "$i/src/libitcl$TCL_SHLIB_SUFFIX" ; then
- ac_cv_c_itcllib=`(cd $i/src; pwd)`
+ ac_cv_c_itcllib=`(cd $i/src; ${PWDCMD-pwd})`
break
elif test -f "$i/src/libitcl.a"; then
- ac_cv_c_itcllib=`(cd $i/src; pwd)`
+ ac_cv_c_itcllib=`(cd $i/src; ${PWDCMD-pwd})`
break
fi
done
ccpath=`which ${CC} | sed -e 's:/bin/.*::'`/lib
dnl Itcl 7.5 and greater puts library in subdir. Look there first.
if test -f "${ccpath}/libitcl$TCL_SHLIB_SUFFIX" ; then
- ac_cv_c_itcllib=`(cd ${ccpath}; pwd)`
+ ac_cv_c_itcllib=`(cd ${ccpath}; ${PWDCMD-pwd})`
elif test -f "${ccpath}/libitcl.a"; then
- ac_cv_c_itcllib=`(cd ${ccpath}; pwd)`
+ ac_cv_c_itcllib=`(cd ${ccpath}; ${PWDCMD-pwd})`
fi
fi
])
dnl first check to see if --with-itclinclude was specified
if test x"${with_itclinclude}" != x ; then
if test -f ${with_itclinclude}/itcl_sh ; then
- ac_cv_c_itclsh=`(cd ${with_itclinclude}; pwd)`
+ ac_cv_c_itclsh=`(cd ${with_itclinclude}; ${PWDCMD-pwd})`
elif test -f ${with_itclinclude}/src/itcl_sh ; then
- ac_cv_c_itclsh=`(cd ${with_itclinclude}/src; pwd)`
+ ac_cv_c_itclsh=`(cd ${with_itclinclude}/src; ${PWDCMD-pwd})`
else
AC_MSG_ERROR([${with_itclinclude} directory doesn't contain itcl_sh])
fi
dnl might be multiple version of Itcl, and we want the most recent one.
for i in `ls -dr $itclpath/itcl* 2>/dev/null ` ; do
if test -f $i/src/itcl_sh ; then
- ac_cv_c_itclsh=`(cd $i/src; pwd)`/itcl_sh
+ ac_cv_c_itclsh=`(cd $i/src; ${PWDCMD-pwd})`/itcl_sh
break
fi
done
dnl first check to see if --with-itclinclude was specified
if test x"${with_itclinclude}" != x ; then
if test -f ${with_itclinclude}/itcl_sh ; then
- ac_cv_c_itclmkidx=`(cd ${with_itclinclude}; pwd)`
+ ac_cv_c_itclmkidx=`(cd ${with_itclinclude}; ${PWDCMD-pwd})`
elif test -f ${with_itclinclude}/src/itcl_sh ; then
- ac_cv_c_itclmkidx=`(cd ${with_itclinclude}/src; pwd)`
+ ac_cv_c_itclmkidx=`(cd ${with_itclinclude}/src; ${PWDCMD-pwd})`
else
AC_MSG_ERROR([${with_itclinclude} directory doesn't contain itcl_sh])
fi
dnl might be multiple version of Itcl, and we want the most recent one.
for i in `ls -dr $itclpath/itcl* 2>/dev/null ` ; do
if test -f $i/library/itcl_mkindex.tcl ; then
- ac_cv_c_itclmkidx=`(cd $i/library; pwd)`/itcl_mkindex.tcl
+ ac_cv_c_itclmkidx=`(cd $i/library; ${PWDCMD-pwd})`/itcl_mkindex.tcl
break
fi
done
dnl Itcl 7.5 and greater puts library in subdir. Look there first.
for i in `ls -dr $ccpath/itcl* 2>/dev/null ` ; do
if test -f $i/itcl_mkindex.tcl ; then
- ac_cv_c_itclmkidx=`(cd $i; pwd)`/itcl_mkindex.tcl
+ ac_cv_c_itclmkidx=`(cd $i; ${PWDCMD-pwd})`/itcl_mkindex.tcl
break
fi
done
dnl first check to see if --with-tixinclude was specified
if test x"${with_tixinclude}" != x ; then
if test -f ${with_tixinclude}/tix.h ; then
- ac_cv_c_tixh=`(cd ${with_tixinclude}; pwd)`
+ ac_cv_c_tixh=`(cd ${with_tixinclude}; ${PWDCMD-pwd})`
elif test -f ${with_tixinclude}/generic/tix.h ; then
- ac_cv_c_tixh=`(cd ${with_tixinclude}/generic; pwd)`
+ ac_cv_c_tixh=`(cd ${with_tixinclude}/generic; ${PWDCMD-pwd})`
else
AC_MSG_ERROR([${with_tixinclude} directory doesn't contain headers])
fi
if test x"${ac_cv_c_tixconfig}" != x ; then
for i in $dirlist; do
if test -f $ac_cv_c_tixconfig/$i/generic/tix.h ; then
- ac_cv_c_tixh=`(cd $ac_cv_c_tixconfig/$i/generic; pwd)`
+ ac_cv_c_tixh=`(cd $ac_cv_c_tixconfig/$i/generic; ${PWDCMD-pwd})`
break
fi
done
dnl might be multiple version of Tix, and we want the most recent one.
for i in `ls -dr $tixpath/tix* 2>/dev/null ` ; do
if test -f $i/generic/tix.h ; then
- ac_cv_c_tixh=`(cd $i/generic; pwd)`
+ ac_cv_c_tixh=`(cd $i/generic; ${PWDCMD-pwd})`
break
fi
done
# First check to see if --with-tixconfig was specified.
if test x"${with_tixconfig}" != x ; then
if test -f "${with_tixconfig}/tixConfig.sh" ; then
- ac_cv_c_tixconfig=`(cd ${with_tixconfig}; pwd)`
+ ac_cv_c_tixconfig=`(cd ${with_tixconfig}; ${PWDCMD-pwd})`
else
AC_MSG_ERROR([${with_tixconfig} directory doesn't contain tixConfig.sh])
fi
../../../tix \
`ls -dr ../../../tix[[4]]* 2>/dev/null` ; do
if test -f "$i/tixConfig.sh" ; then
- ac_cv_c_tixconfig=`(cd $i; pwd)`
+ ac_cv_c_tixconfig=`(cd $i; ${PWDCMD-pwd})`
break
fi
done
if test x"${ac_cv_c_tixconfig}" = x ; then
for i in `ls -d ${prefix}/lib /usr/local/lib 2>/dev/null` ; do
if test -f "$i/tixConfig.sh" ; then
- ac_cv_c_tkconfig=`(cd $i; pwd)`
+ ac_cv_c_tkconfig=`(cd $i; ${PWDCMD-pwd})`
break
fi
done
${srcdir}/../tix \
`ls -dr ${srcdir}/../tix[[4-9]]* 2>/dev/null` ; do
if test -f "$i/tixConfig.sh" ; then
- ac_cv_c_tixconfig=`(cd $i; pwd)`
+ ac_cv_c_tixconfig=`(cd $i; ${PWDCMD-pwd})`
break
fi
done
# First check to see if --with-itclconfig was specified.
if test x"${with_itclconfig}" != x ; then
if test -f "${with_itclconfig}/itclConfig.sh" ; then
- ac_cv_c_itclconfig=`(cd ${with_itclconfig}; pwd)`
+ ac_cv_c_itclconfig=`(cd ${with_itclconfig}; ${PWDCMD-pwd})`
else
AC_MSG_ERROR([${with_itclconfig} directory doesn't contain itclConfig.sh])
fi
../../../itcl/itcl \
`ls -dr ../../../itcl/itcl[[3]]* 2>/dev/null` ; do
if test -f "$i/itclConfig.sh" ; then
- ac_cv_c_itclconfig=`(cd $i; pwd)`
+ ac_cv_c_itclconfig=`(cd $i; ${PWDCMD-pwd})`
break
fi
done
if test x"${ac_cv_c_itclconfig}" = x ; then
for i in `ls -d ${prefix}/lib /usr/local/lib 2>/dev/null` ; do
if test -f "$i/itclConfig.sh" ; then
- ac_cv_c_itclconfig=`(cd $i; pwd)`
+ ac_cv_c_itclconfig=`(cd $i; ${PWDCMD-pwd})`
break
fi
done
${srcdir}/../itcl/itcl \
`ls -dr ${srcdir}/../itcl/itcl[[3]]* 2>/dev/null` ; do
if test -f "$i/itcl/itclConfig.sh" ; then
- ac_cv_c_itclconfig=`(cd $i; pwd)`
+ ac_cv_c_itclconfig=`(cd $i; ${PWDCMD-pwd})`
break
fi
done
# First check to see if --with-itkconfig was specified.
if test x"${with_itkconfig}" != x ; then
if test -f "${with_itkconfig}/itkConfig.sh" ; then
- ac_cv_c_itkconfig=`(cd ${with_itkconfig}; pwd)`
+ ac_cv_c_itkconfig=`(cd ${with_itkconfig}; ${PWDCMD-pwd})`
else
AC_MSG_ERROR([${with_itkconfig} directory doesn't contain itkConfig.sh])
fi
../../../itcl/itk \
`ls -dr ../../../itcl/itk[[3]]* 2>/dev/null` ; do
if test -f "$i/itkConfig.sh" ; then
- ac_cv_c_itkconfig=`(cd $i; pwd)`
+ ac_cv_c_itkconfig=`(cd $i; ${PWDCMD-pwd})`
break
fi
done
if test x"${ac_cv_c_itkconfig}" = x ; then
for i in `ls -d ${prefix}/lib /usr/local/lib 2>/dev/null` ; do
if test -f "$i/itcl/itkConfig.sh" ; then
- ac_cv_c_itkconfig=`(cd $i; pwd)`
+ ac_cv_c_itkconfig=`(cd $i; ${PWDCMD-pwd})`
break
fi
done
${srcdir}/../itcl/itk \
`ls -dr ${srcdir}/../itcl/itk[[3]]* 2>/dev/null` ; do
if test -f "$i/itkConfig.sh" ; then
- ac_cv_c_itkconfig=`(cd $i; pwd)`
+ ac_cv_c_itkconfig=`(cd $i; ${PWDCMD-pwd})`
break
fi
done
dnl first check to see if --with-libguiinclude was specified
if test x"${with_libguiinclude}" != x ; then
if test -f ${with_libguiinclude}/guitcl.h ; then
- ac_cv_c_libguih=`(cd ${with_libguiinclude}; pwd)`
+ ac_cv_c_libguih=`(cd ${with_libguiinclude}; ${PWDCMD-pwd})`
elif test -f ${with_libguiinclude}/src/guitcl.h ; then
- ac_cv_c_libguih=`(cd ${with_libguiinclude}/src; pwd)`
+ ac_cv_c_libguih=`(cd ${with_libguiinclude}/src; ${PWDCMD-pwd})`
else
AC_MSG_ERROR([${with_libguiinclude} directory doesn't contain headers])
fi
if test x"${ac_cv_c_libguiconfig}" != x ; then
for i in $dirlist; do
if test -f $ac_cv_c_libguiconfig/$i/src/guitcl.h ; then
- ac_cv_c_libguih=`(cd $ac_cv_c_libguiconfig/$i/src; pwd)`
+ ac_cv_c_libguih=`(cd $ac_cv_c_libguiconfig/$i/src; ${PWDCMD-pwd})`
break
fi
done
dnl might be multiple version of Libgui, and we want the most recent one.
for i in `ls -dr $libguipath/libgui* 2>/dev/null ` ; do
if test -f $i/src/guitcl.h ; then
- ac_cv_c_libguih=`(cd $i/src; pwd)`
+ ac_cv_c_libguih=`(cd $i/src; ${PWDCMD-pwd})`
break
fi
done
if test x"${ac_cv_c_libguilib}" = x ; then
for i in $dirlist; do
if test -f "$i/libgui/src/Makefile" ; then
- ac_cv_c_libguilib=`(cd $i/libgui/src; pwd)`
+ ac_cv_c_libguilib=`(cd $i/libgui/src; ${PWDCMD-pwd})`
break
fi
done
### WARNING: this file contains embedded tabs. Do not run untabify on this file.
# Configuration script
-# Copyright (C) 1988, 90, 91, 92, 93, 94, 95, 96, 97, 98, 1999, 2000, 2001
-# Free Software Foundation, Inc.
+# Copyright (C) 1988, 90, 91, 92, 93, 94, 95, 96, 97, 98, 1999, 2000, 2001,
+# 2002 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
target_alias=NOTARGET
target_makefile_frag=
undefs=NOUNDEFS
-version="$Revision: 1.40 $"
+version="$Revision: 1.41 $"
x11=default
bindir='${exec_prefix}/bin'
sbindir='${exec_prefix}/sbin'
progname=$0
# if PWD already has a value, it is probably wrong.
-if [ -n "$PWD" ]; then PWD=`pwd`; fi
+if [ -n "$PWD" ]; then PWD=`${PWDCMD-pwd}`; fi
case "${progname}" in
/* | [A-Za-z]:[\\/]* ) ;;
*/*) ;;
*)
- PATH=$PATH:${PWD=`pwd`} ; export PATH
+ PATH=$PATH:${PWD=`${PWDCMD-pwd}`} ; export PATH
;;
esac
configsub=`echo ${progname} | sed 's/configure$/config.sub/'`
moveifchange=`echo ${progname} | sed 's/configure$/move-if-change/'`
## the sed command below emulates the dirname command
-topsrcdir=`cd \`echo ${progname} | sed -e 's,[^/]*$,,;s,/$,,;s,^$,.,'\`; pwd`
+topsrcdir=`cd \`echo ${progname} | sed -e 's,[^/]*$,,;s,/$,,;s,^$,.,'\`; ${PWDCMD-pwd}`
# this is a hack. sun4 must always be a valid host alias or this will fail.
echo "Invalid source directory ${srcdir}" >&2
exit 1
fi
- pwd=`pwd`
- srcpwd=`cd ${srcdir} ; pwd`
+ pwd=`${PWDCMD-pwd}`
+ srcpwd=`cd ${srcdir} ; ${PWDCMD-pwd}`
if [ "${pwd}" = "${srcpwd}" ] ; then
srcdir=.
fi
".") ;;
*)
if [ -f ${srcdir}/config.status ] ; then
- echo '***' Cannot configure here in \"${PWD=`pwd`}\" when \"${srcdir}\" is currently configured. 1>&2
+ echo '***' Cannot configure here in \"${PWD=`${PWDCMD-pwd}`}\" when \"${srcdir}\" is currently configured. 1>&2
exit 1
fi
esac
# some sanity checks on configure.in
case "${srctrigger}" in
"")
- echo '***' srctrigger not set in ${PWD=`pwd`}/configure.in. 1>&2
+ echo '***' srctrigger not set in ${PWD=`${PWDCMD-pwd}`}/configure.in. 1>&2
exit 1
;;
*) ;;
if [ ! -r ${srcdir}/${srctrigger} ] ; then
case "${srcdirdefaulted}" in
- "") echo '***' "${progname}: Can't find ${srcname} sources in ${PWD=`pwd`}/${srcdir}" 1>&2 ;;
- *) echo '***' "${progname}: Can't find ${srcname} sources in ${PWD=`pwd`}/. or ${PWD=`pwd`}/.." 1>&2 ;;
+ "") echo '***' "${progname}: Can't find ${srcname} sources in ${PWD=`${PWDCMD-pwd}`}/${srcdir}" 1>&2 ;;
+ *) echo '***' "${progname}: Can't find ${srcname} sources in ${PWD=`${PWDCMD-pwd}`}/. or ${PWD=`${PWDCMD-pwd}`}/.." 1>&2 ;;
esac
echo '***' \(At least ${srctrigger} is missing.\) 1>&2
if mkdir ${subdir} ; then
true
else
- echo '***' "${progname}: could not make ${PWD=`pwd`}/${subdir}" 1>&2
+ echo '***' "${progname}: could not make ${PWD=`${PWDCMD-pwd}`}/${subdir}" 1>&2
exit 1
fi
fi
sed -e "/^####/ r ${package_makefile_rules_frag}" ${srcdir}/${subdir}/${Makefile_in} > ${Makefile}.tem
else
echo '***' Expected package makefile rules fragment \"${package_makefile_rules_frag}\" 1>&2
- echo '***' is missing in ${PWD=`pwd`}. 1>&2
+ echo '***' is missing in ${PWD=`${PWDCMD-pwd}`}. 1>&2
cp ${srcdir}/${subdir}/${Makefile_in} ${subdir}/Makefile.tem
fi
esac
sed -e "/^####/ r ${host_makefile_frag}" ${Makefile} > ${subdir}/Makefile.tem
else
echo '***' Expected host makefile fragment \"${host_makefile_frag}\" 1>&2
- echo '***' is missing in ${PWD=`pwd`}. 1>&2
+ echo '***' is missing in ${PWD=`${PWDCMD-pwd}`}. 1>&2
mv ${Makefile} ${subdir}/Makefile.tem
fi
esac
sed -e "/^####/ r ${package_makefile_frag}" ${Makefile} > ${subdir}/Makefile.tem
else
echo '***' Expected package makefile fragment \"${package_makefile_rules_frag}\" 1>&2
- echo '***' is missing in ${PWD=`pwd`}. 1>&2
+ echo '***' is missing in ${PWD=`${PWDCMD-pwd}`}. 1>&2
mv ${Makefile} ${subdir}/Makefile.tem
fi
esac
newusing=`echo "${using}" | sed 's/and/using/'`
using=${newusing}
- echo "Created \"${Makefile}\" in" ${PWD=`pwd`} ${using}
+ echo "Created \"${Makefile}\" in" ${PWD=`${PWDCMD-pwd}`} ${using}
. ${tmpfile}.pos
if mkdir ./${bld_dir} ; then
true
else
- echo '***' "${progname}: could not make ${PWD=`pwd`}/${bld_dir}" 1>&2
+ echo '***' "${progname}: could not make ${PWD=`${PWDCMD-pwd}`}/${bld_dir}" 1>&2
exit 1
fi
fi
;;
esac
- POPDIR=${PWD=`pwd`}
+ POPDIR=${PWD=`${PWDCMD-pwd}`}
cd ${bld_dir}
### figure out what to do with srcdir
${srcdiroption} ${diroptions} ${program_prefixoption} ${program_suffixoption} ${program_transform_nameoption} ${site_option} ${withoptions} ${withoutoptions} ${enableoptions} ${disableoptions} ${floating_pointoption} ${cache_file_option} ${removing} ${other_options} ${redirect} ; then
true
else
- echo Configure in `pwd` failed, exiting. 1>&2
+ echo Configure in `${PWDCMD-pwd}` failed, exiting. 1>&2
exit 1
fi
fi
if test ! -d ${target_subdir} ; then
if mkdir ${target_subdir} ; then true
else
- echo "'*** could not make ${PWD=`pwd`}/${target_subdir}" 1>&2
+ echo "'*** could not make ${PWD=`${PWDCMD-pwd}`}/${target_subdir}" 1>&2
exit 1
fi
fi
if test ! -d ${build_subdir} ; then
if mkdir ${build_subdir} ; then true
else
- echo "'*** could not make ${PWD=`pwd`}/${build_subdir}" 1>&2
+ echo "'*** could not make ${PWD=`${PWDCMD-pwd}`}/${build_subdir}" 1>&2
exit 1
fi
fi
+2002-05-16 Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
+
+ * test_installed: Allow for PWDCMD to override hardcoded pwd.
+ * test_summary: Likewise.
+
2002-04-18 Geoffrey Keating <geoffk@redhat.com>
* gcc_update (touch_files): Don't have empty for loop.
#! /bin/sh
-# (C) 1998, 2000 Free Software Foundation
+# (C) 1998, 2000, 2002 Free Software Foundation
# Originally by Alexandre Oliva <oliva@dcc.unicamp.br>
# This script is Free Software, and it can be copied, distributed and
while [ -h $file ]; do
file=`ls -l $file | sed s/'.* -> '//`
done
- srcdir=`CDPATH=. && cd \`echo "$file" | sed 's,/*[^/]*$,,;s,^$,.,'\`/.. >/dev/null && pwd`
+ srcdir=`CDPATH=. && cd \`echo "$file" | sed 's,/*[^/]*$,,;s,^$,.,'\`/.. >/dev/null && ${PWDCMD-pwd}`
fi
cat >site.exp <<EOF
-set tmpdir "${tmpdir-`pwd`}"
+set tmpdir "${tmpdir-`${PWDCMD-pwd}`}"
set srcdir "${testsuite-${srcdir}/gcc/testsuite}"
set GCC_UNDER_TEST "${GCC_UNDER_TEST-${prefix}${prefix+/bin/}gcc}"
set GXX_UNDER_TEST "${GXX_UNDER_TEST-${prefix}${prefix+/bin/}g++}"
#! /bin/sh
-# (C) 1998, 1999, 2000 Free Software Foundation
+# (C) 1998, 1999, 2000, 2002 Free Software Foundation
# Originally by Alexandre Oliva <oliva@dcc.unicamp.br>
# This script is Free Software, and it can be copied, distributed and
' | sed "s/\([\`\$\\\\]\)/\\\\\\1/g" &&
if $move; then
for file in $files `ls -1 $files | sed s/sum$/log/`; do
- [ -f $file ] && echo "mv `pwd`/$file `pwd`/$file.sent &&"
+ [ -f $file ] && echo "mv `${PWDCMD-pwd}`/$file `${PWDCMD-pwd}`/$file.sent &&"
done
fi &&
echo true
+2002-05-16 Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
+
+ * Makefile.in: Allow for PWDCMD to override hardcoded pwd.
+ * configure.in: Likewise.
+ * fixinc/check.tpl: Likewise.
+ * fixinc/fixinc.dgux: Likewise.
+ * fixinc/fixinc.svr4: Likewise.
+ * fixinc/fixinc.winnt: Likewise.
+ * fixinc/fixincl.sh: Likewise.
+ * fixproto: Likewise.
+ * configure: Regenerate.
+
2002-05-16 Zdenek Dvorak <rakdver@atrey.karlin.mff.cuni.cz>
Basic block renumbering removal:
DLLTOOL = dlltool
RANLIB = @RANLIB@
SHELL = /bin/sh
+# pwd command to use. Allow user to override default by setting PWDCMD in
+# the environment to account for automounters. The make variable must not
+# be called PWDCMD, otherwise the value set here is passed to make
+# subprocesses and overrides the setting from the user's environment.
+PWD = $${PWDCMD-pwd}
# on sysV, define this as cp.
INSTALL = @INSTALL@
# Some systems may be missing symbolic links, regular links, or both.
$(FIXINCSRCDIR)/procopen.c $(FIXINCSRCDIR)/gnu-regex.c \
$(FIXINCSRCDIR)/server.c $(FIXINCSRCDIR)/gnu-regex.h \
$(FIXINCSRCDIR)/server.h $(FIXINCSRCDIR)/inclhack.def specs.ready
- (MAKE="$(MAKE)"; srcdir=`cd $(srcdir)/fixinc && pwd` ; \
+ (MAKE="$(MAKE)"; srcdir=`cd $(srcdir)/fixinc && ${PWD}` ; \
CC="$(HOST_CC)"; CFLAGS="$(HOST_CFLAGS)"; LDFLAGS="$(HOST_LDFLAGS)"; \
WARN_CFLAGS="$(WARN_CFLAGS)"; \
export MAKE srcdir CC CFLAGS LDFLAGS WARN_CFLAGS; cd ./fixinc && \
stmp-fixinc: fixinc.sh gsyslimits.h
rm -rf include; mkdir include
-chmod a+rx include
- (TARGET_MACHINE='$(target)'; srcdir=`cd $(srcdir); pwd`; \
+ (TARGET_MACHINE='$(target)'; srcdir=`cd $(srcdir); ${PWD}`; \
SHELL='$(SHELL)' ;\
export TARGET_MACHINE srcdir SHELL ; \
- $(SHELL) ./fixinc.sh `pwd`/include $(SYSTEM_HEADER_DIR) $(OTHER_FIXINCLUDES_DIRS); \
+ $(SHELL) ./fixinc.sh `${PWD}`/include $(SYSTEM_HEADER_DIR) $(OTHER_FIXINCLUDES_DIRS); \
rm -f include/syslimits.h; \
if [ -f include/limits.h ]; then \
mv include/limits.h include/syslimits.h; \
# Don't need to use LN_S here since we really do need ln -s and no substitutes.
-files=`cd $(libsubdir)/include; find . -type l -print 2>/dev/null`; \
if [ $$? -eq 0 ]; then \
- dir=`cd include; pwd`; \
+ dir=`cd include; ${PWD}`; \
for i in $$files; do \
dest=`ls -ld $(libsubdir)/include/$$i | sed -n 's/.*-> //p'`; \
if expr "$$dest" : "$$dir.*" > /dev/null; then \
# Unless a full pathname is provided, some shells would print the new CWD,
# found in CDPATH, corrupting the output. We could just redirect the
# output of `cd', but some shells lose on redirection within `()'s
- (cd `pwd`/include ; \
+ (cd `${PWD}`/include ; \
tar -cf - .; exit 0) | (cd $(libsubdir)/include; tar xpf - )
# /bin/sh on some systems returns the status of the first tar,
# and that can lose with GNU tar which always writes a full block.
# Install the include directory using cpio.
install-headers-cpio: stmp-int-hdrs $(STMP_FIXPROTO) install-include-dir
# See discussion about the use of `pwd` above
- cd `pwd`/include ; \
+ cd `${PWD}`/include ; \
find . -print | cpio -pdum $(libsubdir)/include
# Install the include directory using cp.
@echo "## these variables are automatically generated by make ##" > ./tmp0
@echo "# Do not edit here. If you wish to override these values" >> ./tmp0
@echo "# add them to the last section" >> ./tmp0
- @echo "set rootme \"`pwd`\"" >> ./tmp0
- @echo "set srcdir \"`cd ${srcdir}; pwd`\"" >> ./tmp0
+ @echo "set rootme \"`${PWD}`\"" >> ./tmp0
+ @echo "set srcdir \"`cd ${srcdir}; ${PWD}`\"" >> ./tmp0
@echo "set host_triplet $(host_canonical)" >> ./tmp0
@echo "set build_triplet $(build_canonical)" >> ./tmp0
@echo "set target_triplet $(target)" >> ./tmp0
sed '/set tmpdir/ s|testsuite|$(TESTSUITEDIR)|' < site.exp > $@
check-g++: $(TESTSUITEDIR)/site.exp
- -(rootme=`pwd`; export rootme; \
- srcdir=`cd ${srcdir}; pwd` ; export srcdir ; \
+ -(rootme=`${PWD}`; export rootme; \
+ srcdir=`cd ${srcdir}; ${PWD}` ; export srcdir ; \
cd $(TESTSUITEDIR); \
EXPECT=${EXPECT} ; export EXPECT ; \
if [ -f $${rootme}/../expect/expect ] ; then \
- TCL_LIBRARY=`cd .. ; cd ${srcdir}/../tcl/library ; pwd` ; \
+ TCL_LIBRARY=`cd .. ; cd ${srcdir}/../tcl/library ; ${PWD}` ; \
export TCL_LIBRARY ; fi ; \
$(RUNTEST) --tool g++ $(RUNTESTFLAGS))
check-gcc: $(TESTSUITEDIR)/site.exp
- -(rootme=`pwd`; export rootme; \
- srcdir=`cd ${srcdir}; pwd` ; export srcdir ; \
+ -(rootme=`${PWD}`; export rootme; \
+ srcdir=`cd ${srcdir}; ${PWD}` ; export srcdir ; \
cd $(TESTSUITEDIR); \
EXPECT=${EXPECT} ; export EXPECT ; \
if [ -f $${rootme}/../expect/expect ] ; then \
- TCL_LIBRARY=`cd .. ; cd ${srcdir}/../tcl/library ; pwd` ; \
+ TCL_LIBRARY=`cd .. ; cd ${srcdir}/../tcl/library ; ${PWD}` ; \
export TCL_LIBRARY ; fi ; \
$(RUNTEST) --tool gcc $(RUNTESTFLAGS))
check-g77: $(TESTSUITEDIR)/site.exp
- -(rootme=`pwd`; export rootme; \
- srcdir=`cd ${srcdir}; pwd` ; export srcdir ; \
+ -(rootme=`${PWD}`; export rootme; \
+ srcdir=`cd ${srcdir}; ${PWD}` ; export srcdir ; \
cd $(TESTSUITEDIR); \
EXPECT=${EXPECT} ; export EXPECT ; \
if [ -f $${rootme}/../expect/expect ] ; then \
- TCL_LIBRARY=`cd .. ; cd ${srcdir}/../tcl/library ; pwd` ; \
+ TCL_LIBRARY=`cd .. ; cd ${srcdir}/../tcl/library ; ${PWD}` ; \
export TCL_LIBRARY ; fi ; \
$(RUNTEST) --tool g77 $(RUNTESTFLAGS))
check-objc: $(TESTSUITEDIR)/site.exp
- -(rootme=`pwd`; export rootme; \
- srcdir=`cd ${srcdir}; pwd` ; export srcdir ; \
+ -(rootme=`${PWD}`; export rootme; \
+ srcdir=`cd ${srcdir}; ${PWD}` ; export srcdir ; \
cd $(TESTSUITEDIR); \
EXPECT=${EXPECT} ; export EXPECT ; \
if [ -f $${rootme}/../expect/expect ] ; then \
- TCL_LIBRARY=`cd .. ; cd ${srcdir}/../tcl/library ; pwd` ; \
+ TCL_LIBRARY=`cd .. ; cd ${srcdir}/../tcl/library ; ${PWD}` ; \
export TCL_LIBRARY ; fi ; \
$(RUNTEST) --tool objc $(RUNTESTFLAGS))
check-consistency: testsuite/site.exp
- -rootme=`pwd`; export rootme; \
- srcdir=`cd ${srcdir}; pwd` ; export srcdir ; \
+ -rootme=`${PWD}`; export rootme; \
+ srcdir=`cd ${srcdir}; ${PWD}` ; export srcdir ; \
cd testsuite; \
EXPECT=${EXPECT} ; export EXPECT ; \
if [ -f $${rootme}/../expect/expect ] ; then \
- TCL_LIBRARY=`cd .. ; cd ${srcdir}/../tcl/library ; pwd` ; \
+ TCL_LIBRARY=`cd .. ; cd ${srcdir}/../tcl/library ; ${PWD}` ; \
export TCL_LIBRARY ; fi ; \
$(RUNTEST) --tool consistency $(RUNTESTFLAGS)
+2002-05-16 Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
+
+ * Makefile.adalib: Allow for PWDCMD to override hardcoded pwd.
+ * Makefile.in: Likewise.
+
2002-05-14 Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
* Make-lang.in (gnat1$(exeext), gnatbind$(exeext), gnattools):
# updating the value of the environment variable ADA_OBJECTS_PATH
SHELL=sh
+PWD=$${PWDCMD-pwd}
CC = gcc
AR = ar
-GNAT_ROOT = $(shell cd $(ROOT);pwd)/
+GNAT_ROOT = $(shell cd $(ROOT);${PWD})/
target = $(shell $(CC) -dumpmachine)
version = $(shell $(CC) -dumpversion)
ADA_INCLUDE_PATH = $(GNAT_ROOT)lib/gcc-lib/$(target)/$(version)/adainclude/
# Test to use to see whether ranlib exists on the system.
RANLIB_TEST = [ -f /usr/bin/ranlib -o -f /bin/ranlib ]
SHELL = /bin/sh
+PWD = $${PWDCMD-pwd}
# How to copy preserving the date
INSTALL_DATA_DATE = cp -p
MAKEINFO = makeinfo
$(MACHMODE_H) $(srcdir)/../tree-check.h $(srdir)/../version.h \
$(srcdir)/../builtins.def
-fsrcdir := $(shell cd $(srcdir);pwd)
-fsrcpfx := $(shell cd $(srcdir);pwd)/
-fcurdir := $(shell pwd)
-fcurpfx := $(shell pwd)/
+fsrcdir := $(shell cd $(srcdir);${PWD})
+fsrcpfx := $(shell cd $(srcdir);${PWD})/
+fcurdir := $(shell ${PWD})
+fcurpfx := $(shell ${PWD})/
# Top build directory, relative to here.
top_builddir = ..
esac
# Get an absolute path to the GCC top-level source directory
-holddir=`pwd`
+holddir=`${PWDCMD-pwd}`
cd $srcdir
-topdir=`pwd`
+topdir=`${PWDCMD-pwd}`
cd $holddir
# Conditionalize the makefile for this host machine.
# Nothing to do for FLOAT_H, float_format already handled.
-objdir=`pwd`
+objdir=`${PWDCMD-pwd}`
# Process the language and host/target makefile fragments.
if test "$symbolic_link" = "ln -s"; then
for d in .. ${subdirs} fixinc ; do
if test $d != ..; then
- STARTDIR=`pwd`
+ STARTDIR=`${PWDCMD-pwd}`
cd $d
for t in stage1 stage2 stage3 stage4 include
do
esac
# Get an absolute path to the GCC top-level source directory
-holddir=`pwd`
+holddir=`${PWDCMD-pwd}`
cd $srcdir
-topdir=`pwd`
+topdir=`${PWDCMD-pwd}`
cd $holddir
# Conditionalize the makefile for this host machine.
AC_SUBST(slibdir)
# Nothing to do for FLOAT_H, float_format already handled.
-objdir=`pwd`
+objdir=`${PWDCMD-pwd}`
AC_SUBST(objdir)
# Process the language and host/target makefile fragments.
if test "$symbolic_link" = "ln -s"; then
for d in .. ${subdirs} fixinc ; do
if test $d != ..; then
- STARTDIR=`pwd`
+ STARTDIR=`${PWDCMD-pwd}`
cd $d
for t in stage1 stage2 stage3 stage4 include
do
+2002-05-16 Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
+
+ * Make-lang.in: Allow for PWDCMD to override hardcoded pwd.
+
2002-05-09 Hassan Aurag <aurag@cae.com>
* expr.c (ffeexpr_reduced_ugly2log_): Allow logicals-as-integers
$(srcdir)/f/root.texi $(srcdir)/doc/include/fdl.texi \
$(srcdir)/doc/include/gpl.texi \
$(srcdir)/doc/include/funding.texi
- s=`cd $(srcdir); pwd`; export s; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
cd f && $(TEXI2DVI) -I $$s/doc/include $$s/f/g77.texi
$(srcdir)/f/g77.1: $(srcdir)/f/invoke.texi
set -e
TESTDIR=tests
-TESTBASE=`cd $1;pwd`
+TESTBASE=`cd $1;${PWDCMD-pwd}`
[ -d ${TESTDIR} ] || mkdir ${TESTDIR}
cd ${TESTDIR}
-TESTDIR=`pwd`
+TESTDIR=`${PWDCMD-pwd}`
TARGET_MACHINE='*'
-DESTDIR=`pwd`/res
-SRCDIR=`pwd`/inc
+DESTDIR=`${PWDCMD-pwd}`/res
+SRCDIR=`${PWDCMD-pwd}`/inc
FIND_BASE='.'
VERBOSE=1
-INPUT=`pwd`
+INPUT=`${PWDCMD-pwd}`
ORIGDIR=${INPUT}
export TARGET_MACHINE DESTDIR SRCDIR FIND_BASE VERBOSE INPUT ORIGDIR
for file in $files; do
dest=`ls -ld $file | sed -n 's/.*-> //p'`
if [ "$dest" ]; then
- cwd=`pwd`
+ cwd=`${PWDCMD-pwd}`
# In case $dest is relative, get to $file's dir first.
cd ${INPUT}
cd `echo ./$file | sed -n 's&[^/]*$&&p'`
if [ $? = 0 ]; then
cd $dest
# X gets the dir that the link actually leads to.
- x=`pwd`
+ x=`${PWDCMD-pwd}`
# If link leads back into ${INPUT},
# make a similar link here.
if expr $x : "${INPUT}/.*" > /dev/null; then
#! /bin/sh
# Install modified versions of certain ANSI-incompatible
# native System V Release 4 system include files.
-# Copyright (C) 1994, 1996, 1997, 1998, 2000 Free Software Foundation, Inc.
+# Copyright (C) 1994, 1996, 1997, 1998, 2000, 2002 Free Software Foundation, Inc.
# Contributed by Ron Guilmette (rfg@monkeys.com).
#
# This file is part of GNU CC.
for file in $files; do
dest=`ls -ld $file | sed -n 's/.*-> //p'`
if [ "$dest" ]; then
- cwd=`pwd`
+ cwd=`${PWDCMD-pwd}`
# In case $dest is relative, get to $file's dir first.
cd ${INPUT}
cd `echo ./$file | sed -n 's&[^/]*$&&p'`
- rwd=`pwd`
+ rwd=`${PWDCMD-pwd}`
# Check that the target directory exists.
# Redirections changed to avoid bug in sh on Ultrix.
(cd $dest) > /dev/null 2>&1
if [ $? = 0 ]; then
cd $dest
# X gets the dir that the link actually leads to.
- x=`pwd`
+ x=`${PWDCMD-pwd}`
# If link leads back into ${INPUT},
# make a similar link here.
if expr "$dest" : '[^/][^/]*' >/dev/null && [ ! -h $dest ]; then
#
# See README-fixinc for more information.
-ORIG_DIR=`pwd`
+ORIG_DIR=`${PWDCMD-pwd}`
# Directory containing the original header files.
cd $2; SEDFILE=`${PWDCMD-pwd}`/fixinc-nt.sed
mkdir $LIB || exit 1
fi
-ORIG_DIR=`pwd`
+ORIG_DIR=`${PWDCMD-pwd}`
# Make LIB absolute if it is relative.
# Don't do this if not necessary, since may screw up automounters.
#
# See README-fixinc for more information.
#
-# fixincludes copyright (c) 1998, 1999, 2000
+# fixincludes copyright (c) 1998, 1999, 2000, 2002
# The Free Software Foundation, Inc.
#
# fixincludes is free software.
#
# Define PWDCMD as a command to use to get the working dir
# in the form that we want.
-PWDCMD=pwd
+PWDCMD=${PWDCMD-pwd}
case "`$PWDCMD`" in
//*)
# fixproto TARGET-DIR SOURCE-DIR-ALL SOURCE-DIR-STD
#
# COPYRIGHT
-# Copyright (C) 1993, 1994, 1997, 1998 Free Software Foundation, Inc.
+# Copyright (C) 1993, 1994, 1997, 1998, 2002 Free Software Foundation, Inc.
# This file is part of GCC.
#
# GCC is free software; you can redistribute it and/or modify
dirname=`echo "$0" | sed 's,^[^/]*$,.,;s,//*[^/]*$,,'`
progname=`echo "$0" | sed 's,.*/,,'`
-original_dir=`pwd`
+original_dir=`${PWDCMD-pwd}`
FIX_HEADER=${FIX_HEADER-$original_dir/fix-header}
DEFINES="-D__STDC__=0 -D__cplusplus ${FIXPROTO_DEFINES}"
+2002-05-16 Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
+
+ * Make-lang.in: Allow for PWDCMD to override hardcoded pwd.
+
2002-05-13 Mark Mitchell <mark@codesourcery.com>
* jcf-write.c (write_classfile): Unlink the temporary file if it
java/gcj.dvi: $(srcdir)/java/gcj.texi $(srcdir)/doc/include/fdl.texi \
$(srcdir)/doc/include/gpl.texi
- s=`cd $(srcdir); pwd`; export s; \
+ s=`cd $(srcdir); ${PWD}`; export s; \
cd java && $(TEXI2DVI) -I $$s/doc/include $$s/java/gcj.texi
$(srcdir)/java/gcj.1: $(srcdir)/java/gcj.texi
+2002-05-16 Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
+
+ * exgettext: Allow for PWDCMD to override hardcoded pwd.
+
2002-05-10 Philipp Thomas <pthomas@suse.de>
* tr.po, es.po, fr.po: Update to version for 20020415
mkdir $T
trap "rm -r $T" 0
-pwd=`pwd`
+pwd=`${PWDCMD-pwd}`
kopt=$pwd/$T/keyword-options
emsg=$pwd/$T/emsgids.c
posr=$pwd/$T/po-sources
+2002-05-16 Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
+
+ * Make-lang.in: Allow for PWDCMD to override hardcoded pwd.
+
2002-05-11 Tim Josling <tej@melbpc.org.au>
* treetree.c: (cpp_define) Add.
# patch files for new empty files as required for cvs.
# STAMP does not cut it here as I need an empty file.
touch $(srcdir)/testsuite/treelang/{a01gcco01runpgmerr,a01gcc.out01,a01gcc.out01err}
- -rootme=`pwd`; export rootme; \
- srcdir=`cd ${srcdir}; pwd` ; export srcdir ; \
+ -rootme=`${PWD}`; export rootme; \
+ srcdir=`cd ${srcdir}; ${PWD}` ; export srcdir ; \
cd testsuite; \
EXPECT=${EXPECT} ; export EXPECT ; \
TRANSFORM=$(program_transform_name); export TRANSFORM; \
if [ -f $${rootme}/../expect/expect ] ; then \
- TCL_LIBRARY=`cd .. ; cd ${srcdir}/../tcl/library ; pwd` ; \
+ TCL_LIBRARY=`cd .. ; cd ${srcdir}/../tcl/library ; ${PWD}` ; \
export TCL_LIBRARY ; fi ; \
- PATH=`cd ..;pwd`:$$PATH; export PATH; \
- gcc_extras="-B`cd ..;pwd` -B`cd ..;pwd`/treelang"; export gcc_extras; \
+ PATH=`cd ..;${PWD}`:$$PATH; export PATH; \
+ gcc_extras="-B`cd ..;${PWD}` -B`cd ..;${PWD}`/treelang"; export gcc_extras; \
$(RUNTEST) --tool treelang $(RUNTESTFLAGS)
rm $(srcdir)/testsuite/treelang/{a01gcco01runpgmerr,a01gcc.out01,a01gcc.out01err}
# GCC_EXTRAS="$(GCC_EXTRAS)"; export GCC_EXTRAS; \
# copy the output files from the current test to source ie say the new results are OK
treelang.check.fix: force
- srcdir=`cd ${srcdir}; pwd` ; export srcdir ;
+ srcdir=`cd ${srcdir}; ${PWD}` ; export srcdir ;
-cp testsuite/treelang/*.out* t
-cp testsuite/treelang/*runpgm* t
-rm -f t/*nofilename
+2002-05-16 Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
+
+ * Makefile.in: Allow for PWDCMD to override hardcoded pwd.
+ * aclocal.m4: Likewise.
+ * configure: Regenerate.
+
2002-05-08 Alexandre Oliva <aoliva@redhat.com>
* configure.in (ORIGINAL_LD_FOR_MULTILIBS): Preserve LD at
#02111-1307, USA.
SHELL = /bin/sh
+PWD = $${PWDCMD-pwd}
MAKEOVERRIDES=
.NOEXPORTS:
installcheck installdirs all-unilib
subdir_do:
- @rootpre=`pwd`/; export rootpre; \
- srcrootpre=`cd $(srcdir); pwd`/; export srcrootpre; \
+ @rootpre=`${PWD}`/; export rootpre; \
+ srcrootpre=`cd $(srcdir); ${PWD}`/; export srcrootpre; \
for i in .. $(DODIRS); do \
if [ x$$i != x.. ]; then \
if [ -f ./$$i/Makefile ]; then \
-dnl Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
+dnl Copyright (C) 1994, 1995-8, 1999, 2001, 2002 Free Software Foundation, Inc.
dnl This file is free software; the Free Software Foundation
dnl gives unlimited permission to copy and/or distribute it,
dnl with or without modifications, as long as this notice is preserved.
# These need to be absolute paths, yet at the same time need to
# canonicalize only relative paths, because then amd will not unmount
# drives. Thus the use of PWDCMD: set it to 'pawd' or 'amq -w' if using amd.
-glibcpp_builddir=`pwd`
+glibcpp_builddir=`${PWDCMD-pwd}`
case $srcdir in
[\\/$]* | ?:[\\/]*) glibcpp_srcdir=${srcdir} ;;
*) glibcpp_srcdir=`cd "$srcdir" && ${PWDCMD-pwd} || echo "$srcdir"` ;;
# These need to be absolute paths, yet at the same time need to
# canonicalize only relative paths, because then amd will not unmount
# drives. Thus the use of PWDCMD: set it to 'pawd' or 'amq -w' if using amd.
-glibcpp_builddir=`pwd`
+glibcpp_builddir=`${PWDCMD-pwd}`
case $srcdir in
\\/$* | ?:\\/*) glibcpp_srcdir=${srcdir} ;;
*) glibcpp_srcdir=`cd "$srcdir" && ${PWDCMD-pwd} || echo "$srcdir"` ;;
+2002-05-16 Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
+
+ * acinclude.m4: Allow for PWDCMD to override hardcoded pwd.
+ * configure.in: Likewise.
+ * aclocal.m4: Regenerate.
+ * configure: Regenerate.
+
2002-05-13 Tom Tromey <tromey@redhat.com>
* java/lang/natRuntime.cc: Don't include sys/time.h and time.h.
fi
# This works around an automake problem.
-mkinstalldirs="`cd $ac_aux_dir && pwd`/mkinstalldirs"
+mkinstalldirs="`cd $ac_aux_dir && ${PWDCMD-pwd}`/mkinstalldirs"
AC_SUBST(mkinstalldirs)
AC_CANONICAL_SYSTEM
fi
# This works around an automake problem.
-mkinstalldirs="`cd $ac_aux_dir && pwd`/mkinstalldirs"
+mkinstalldirs="`cd $ac_aux_dir && ${PWDCMD-pwd}`/mkinstalldirs"
AC_SUBST(mkinstalldirs)
AC_CANONICAL_SYSTEM
fi
# This works around an automake problem.
-mkinstalldirs="`cd $ac_aux_dir && pwd`/mkinstalldirs"
+mkinstalldirs="`cd $ac_aux_dir && ${PWDCMD-pwd}`/mkinstalldirs"
# Sigh. Libtool's macro doesn't do the right thing.
INCLTDL="-I\$(top_srcdir)/libltdl $INCLTDL"
# FIXME: this is a hack.
- sub_auxdir="`cd $ac_aux_dir && pwd`"
+ sub_auxdir="`cd $ac_aux_dir && ${PWDCMD-pwd}`"
ac_configure_args="$ac_configure_args --with-auxdir=$sub_auxdir"
fi
esac
-LIBGCJTESTSPEC="-L`pwd`/.libs -rpath `pwd`/.libs"
+LIBGCJTESTSPEC="-L`${PWDCMD-pwd}`/.libs -rpath `${PWDCMD-pwd}`/.libs"
# Check whether --with-system-zlib or --without-system-zlib was given.
GCLIBS=../boehm-gc/libgcjgc_convenience.la
GCINCS='-I$(top_srcdir)/../boehm-gc/include'
JC1GCSPEC='-fuse-boehm-gc'
- GCTESTSPEC="-L`pwd`/../boehm-gc/.libs -rpath `pwd`/../boehm-gc/.libs"
+ GCTESTSPEC="-L`${PWDCMD-pwd}`/../boehm-gc/.libs -rpath `${PWDCMD-pwd}`/../boehm-gc/.libs"
GCINCS="$GCINCS `cat ../boehm-gc/boehm-cflags`"
GCOBJS=boehm.lo
fi
if test -x "${builddotdot}/../../gcc/gcj"; then
- dir="`cd ${builddotdot}/../../gcc && pwd`"
- GCJ="$dir/gcj -B`pwd`/ -B$dir/"
+ dir="`cd ${builddotdot}/../../gcc && ${PWDCMD-pwd}`"
+ GCJ="$dir/gcj -B`${PWDCMD-pwd}`/ -B$dir/"
else
CANADIAN=yes
NULL_TARGET=yes
- GCJ="gcj -B`pwd`/"
+ GCJ="gcj -B`${PWDCMD-pwd}`/"
fi
fi
# We must search the source tree for java.lang, since we still don't
# have libgcj.jar nor java/lang/*.class
GCJ_SAVE_CPPFLAGS=$CPPFLAGS
-CPPFLAGS="$CPPFLAGS -I`pwd` -I`cd $srcdir && pwd`"
+CPPFLAGS="$CPPFLAGS -I`${PWDCMD-pwd}` -I`cd $srcdir && ${PWDCMD-pwd}`"
# Since some classes depend on this one, we need its source available
# before we can do any GCJ compilation test :-(
fi
-here=`pwd`
+here=`${PWDCMD-pwd}`
# We get this from the environment.
# Make subdirectories and `.d' files. Look in both srcdir and
# builddir for the .java files.
-h=`pwd`
+h=`${PWDCMD-pwd}`
: > deps.mk
( (cd $srcdir && find . \( -name '*.java' -o -name '*.cc' \) -print) ;
find . \( -name '*.java' -o -name '*.cc' \) -print) | \
# Sigh. Libtool's macro doesn't do the right thing.
INCLTDL="-I\$(top_srcdir)/libltdl $INCLTDL"
# FIXME: this is a hack.
- sub_auxdir="`cd $ac_aux_dir && pwd`"
+ sub_auxdir="`cd $ac_aux_dir && ${PWDCMD-pwd}`"
ac_configure_args="$ac_configure_args --with-auxdir=$sub_auxdir"
fi
AC_SUBST(INCLTDL)
esac
AC_SUBST(SYSTEMSPEC)
-LIBGCJTESTSPEC="-L`pwd`/.libs -rpath `pwd`/.libs"
+LIBGCJTESTSPEC="-L`${PWDCMD-pwd}`/.libs -rpath `${PWDCMD-pwd}`/.libs"
AC_SUBST(LIBGCJTESTSPEC)
AC_ARG_WITH(system-zlib,
GCLIBS=../boehm-gc/libgcjgc_convenience.la
GCINCS='-I$(top_srcdir)/../boehm-gc/include'
JC1GCSPEC='-fuse-boehm-gc'
- GCTESTSPEC="-L`pwd`/../boehm-gc/.libs -rpath `pwd`/../boehm-gc/.libs"
+ GCTESTSPEC="-L`${PWDCMD-pwd}`/../boehm-gc/.libs -rpath `${PWDCMD-pwd}`/../boehm-gc/.libs"
dnl We also want to pick up some cpp flags required when including
dnl boehm-config.h. Yuck.
changequote([,])
fi
if test -x "${builddotdot}/../../gcc/gcj"; then
- dir="`cd ${builddotdot}/../../gcc && pwd`"
- GCJ="$dir/gcj -B`pwd`/ -B$dir/"
+ dir="`cd ${builddotdot}/../../gcc && ${PWDCMD-pwd}`"
+ GCJ="$dir/gcj -B`${PWDCMD-pwd}`/ -B$dir/"
else
CANADIAN=yes
NULL_TARGET=yes
- GCJ="gcj -B`pwd`/"
+ GCJ="gcj -B`${PWDCMD-pwd}`/"
fi
fi
# We must search the source tree for java.lang, since we still don't
# have libgcj.jar nor java/lang/*.class
GCJ_SAVE_CPPFLAGS=$CPPFLAGS
-CPPFLAGS="$CPPFLAGS -I`pwd` -I`cd $srcdir && pwd`"
+CPPFLAGS="$CPPFLAGS -I`${PWDCMD-pwd}` -I`cd $srcdir && ${PWDCMD-pwd}`"
# Since some classes depend on this one, we need its source available
# before we can do any GCJ compilation test :-(
AM_CONDITIONAL(GTK_AWT, test "$use_gtk_awt" = yes)
-here=`pwd`
+here=`${PWDCMD-pwd}`
AC_SUBST(here)
# We get this from the environment.
# Make subdirectories and `.d' files. Look in both srcdir and
# builddir for the .java files.
-h=`pwd`
+h=`${PWDCMD-pwd}`
: > deps.mk
( (cd $srcdir && find . \( -name '*.java' -o -name '*.cc' \) -print) ;
find . \( -name '*.java' -o -name '*.cc' \) -print) | \
+2002-05-16 Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
+
+ * aclocal.m4: Allow for PWDCMD to override hardcoded pwd.
+ * configure: Regenerate.
+
2002-05-08 Alexandre Oliva <aoliva@redhat.com>
* configure.in (ORIGINAL_LD_FOR_MULTILIBS): Preserve LD at
# These need to be absolute paths, yet at the same time need to
# canonicalize only relative paths, because then amd will not unmount
# drives. Thus the use of PWDCMD: set it to 'pawd' or 'amq -w' if using amd.
-glibcpp_builddir=`pwd`
+glibcpp_builddir=`${PWDCMD-pwd}`
case $srcdir in
[\\/$]* | ?:[\\/]*) glibcpp_srcdir=${srcdir} ;;
*) glibcpp_srcdir=`cd "$srcdir" && ${PWDCMD-pwd} || echo "$srcdir"` ;;
# These need to be absolute paths, yet at the same time need to
# canonicalize only relative paths, because then amd will not unmount
# drives. Thus the use of PWDCMD: set it to 'pawd' or 'amq -w' if using amd.
-glibcpp_builddir=`pwd`
+glibcpp_builddir=`${PWDCMD-pwd}`
case $srcdir in
\\/$* | ?:\\/*) glibcpp_srcdir=${srcdir} ;;
*) glibcpp_srcdir=`cd "$srcdir" && ${PWDCMD-pwd} || echo "$srcdir"` ;;
+2002-05-16 Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
+
+ * Makefile.am: Allow for PWDCMD to override hardcoded pwd.
+ * acinclude.m4: Likewise.
+ * docs/html/Makefile: Likewise.
+ * aclocal.m4: Regenerate.
+ * configure: Regenerate.
+ * Makefile.in: Regenerate.
+
2002-05-15 Loren J. Rittle <ljrittle@acm.org>
libstdc++/6641
mkinstalldirs = $(SHELL) $(toplevel_srcdir)/mkinstalldirs
+PWD = $${PWDCMD-pwd}
+
# These two special 'check-script' rules use the bash script 'mkcheck'
# to do testing. This script is not as portable as the dejagnu test
# harness, and is thus off by default. It does produce interesting
# These rules are messy, but are hella worth it.
doxygen:
- -(srcdir=`cd ${top_srcdir}; pwd`; \
- builddir=`pwd`; \
+ -(srcdir=`cd ${top_srcdir}; ${PWD}`; \
+ builddir=`${PWD}`; \
/bin/sh ${srcdir}/docs/doxygen/run_doxygen \
--mode=user $${srcdir} $${builddir})
doxygen-maint:
- -(srcdir=`cd ${top_srcdir}; pwd`; \
- builddir=`pwd`; \
+ -(srcdir=`cd ${top_srcdir}; ${PWD}`; \
+ builddir=`${PWD}`; \
/bin/sh ${srcdir}/docs/doxygen/run_doxygen \
--mode=maint $${srcdir} $${builddir})
doxygen-man:
- -(srcdir=`cd ${top_srcdir}; pwd`; \
- builddir=`pwd`; \
+ -(srcdir=`cd ${top_srcdir}; ${PWD}`; \
+ builddir=`${PWD}`; \
/bin/sh ${srcdir}/docs/doxygen/run_doxygen \
--mode=man $${srcdir} $${builddir})
mkinstalldirs = $(SHELL) $(toplevel_srcdir)/mkinstalldirs
+PWD = $${PWDCMD-pwd}
+
# Multilib support.
MAKEOVERRIDES =
# These rules are messy, but are hella worth it.
doxygen:
- -(srcdir=`cd ${top_srcdir}; pwd`; \
- builddir=`pwd`; \
+ -(srcdir=`cd ${top_srcdir}; ${PWD}`; \
+ builddir=`${PWD}`; \
/bin/sh ${srcdir}/docs/doxygen/run_doxygen \
--mode=user $${srcdir} $${builddir})
doxygen-maint:
- -(srcdir=`cd ${top_srcdir}; pwd`; \
- builddir=`pwd`; \
+ -(srcdir=`cd ${top_srcdir}; ${PWD}`; \
+ builddir=`${PWD}`; \
/bin/sh ${srcdir}/docs/doxygen/run_doxygen \
--mode=maint $${srcdir} $${builddir})
doxygen-man:
- -(srcdir=`cd ${top_srcdir}; pwd`; \
- builddir=`pwd`; \
+ -(srcdir=`cd ${top_srcdir}; ${PWD}`; \
+ builddir=`${PWD}`; \
/bin/sh ${srcdir}/docs/doxygen/run_doxygen \
--mode=man $${srcdir} $${builddir})
# These need to be absolute paths, yet at the same time need to
# canonicalize only relative paths, because then amd will not unmount
# drives. Thus the use of PWDCMD: set it to 'pawd' or 'amq -w' if using amd.
- glibcpp_builddir=`pwd`
+ glibcpp_builddir=`${PWDCMD-pwd}`
case $srcdir in
[\\/$]* | ?:[\\/]*) glibcpp_srcdir=${srcdir} ;;
*) glibcpp_srcdir=`cd "$srcdir" && ${PWDCMD-pwd} || echo "$srcdir"` ;;
# These need to be absolute paths, yet at the same time need to
# canonicalize only relative paths, because then amd will not unmount
# drives. Thus the use of PWDCMD: set it to 'pawd' or 'amq -w' if using amd.
- glibcpp_builddir=`pwd`
+ glibcpp_builddir=`${PWDCMD-pwd}`
case $srcdir in
[\\/$]* | ?:[\\/]*) glibcpp_srcdir=${srcdir} ;;
*) glibcpp_srcdir=`cd "$srcdir" && ${PWDCMD-pwd} || echo "$srcdir"` ;;
# These need to be absolute paths, yet at the same time need to
# canonicalize only relative paths, because then amd will not unmount
# drives. Thus the use of PWDCMD: set it to 'pawd' or 'amq -w' if using amd.
- glibcpp_builddir=`pwd`
+ glibcpp_builddir=`${PWDCMD-pwd}`
case $srcdir in
\\/$* | ?:\\/*) glibcpp_srcdir=${srcdir} ;;
*) glibcpp_srcdir=`cd "$srcdir" && ${PWDCMD-pwd} || echo "$srcdir"` ;;
+PWD=$${PWDCMD-pwd}
MAKEINFO=makeinfo
INC=../../../gcc/doc/include
faq/index.txt: faq/index.html
- lynx -dump $< | sed "s%file://localhost`pwd`%..%" > $@
+ lynx -dump $< | sed "s%file://localhost`${PWD}`%..%" > $@
17_intro/porting.html: 17_intro/porting.texi
${MAKEINFO} -I ${INC} --html --no-split $< -o $@
-2002-05-08 Alexandre Oliva <aoliva@redhat.com>
-
- * configure.in (ORIGINAL_LD_FOR_MULTILIBS): Preserve LD at
- script entry, and set LD to it when configuring multilibs.
- * configure: Rebuilt.
-
-2001-06-09 Alexandre Oliva <aoliva@redhat.com>, Stephen L Moshier <moshier@mediaone.net>
-
- * configure.in (AC_EXEEXT): Work around in case it expands to
- nothing, as in autoconf 2.50.
- * configure: Rebuilt.
-
ChangeLog file for zlib
- use _fdopen instead of fdopen for MSC >= 6.0 (Thomas Fanslau)
- added makelcc.bat for lcc-win32 (Tom St Denis)
- in Makefile.dj2, use copy and del instead of install and rm (Frank Donahoe)
-- Avoid expanded $Id: ChangeLog,v 1.4 2002/03/11 22:11:16 tromey Exp $. Use "rcs -kb" or "cvs admin -kb" to avoid Id expansion.
+- Avoid expanded $Id: ChangeLog,v 1.5 2002/05/08 04:38:00 aoliva Exp $. Use "rcs -kb" or "cvs admin -kb" to avoid Id expansion.
- check for unistd.h in configure (for off_t)
- remove useless check parameter in inflate_blocks_free
- avoid useless assignment of s->check to itself in inflate_blocks_new
+2002-05-16 Rainer Orth <ro@TechFak.Uni-Bielefeld.DE>
+
+ * configure.in: Allow for PWDCMD to override hardcoded pwd.
+ * configure: Regenerate.
+
+ * ChangeLog: Move entries to ChangeLog.gcj.
+
+2002-05-08 Alexandre Oliva <aoliva@redhat.com>
+
+ * configure.in (ORIGINAL_LD_FOR_MULTILIBS): Preserve LD at
+ script entry, and set LD to it when configuring multilibs.
+ * configure: Rebuilt.
+
2002-03-17 Bryce McKinlay <bryce@waitaki.otago.ac.nz>
* Makefile.am: Make target library a convenience library.
* configure, Makefile.in: Rebuilt.
* configure.in: Set mkinstalldirs, for in-tree build.
+2001-06-09 Alexandre Oliva <aoliva@redhat.com>, Stephen L Moshier <moshier@mediaone.net>
+
+ * configure.in (AC_EXEEXT): Work around in case it expands to
+ nothing, as in autoconf 2.50.
+ * configure: Rebuilt.
+
2001-05-13 Alexandre Oliva <aoliva@redhat.com>
* acinclude.m4: Use ../libtool.m4.
# This works around an automake problem.
-mkinstalldirs="`cd $ac_aux_dir && pwd`/mkinstalldirs"
+mkinstalldirs="`cd $ac_aux_dir && ${PWDCMD-pwd}`/mkinstalldirs"
# Find a good install program. We prefer a C program (faster),
AC_CANONICAL_SYSTEM
# This works around an automake problem.
-mkinstalldirs="`cd $ac_aux_dir && pwd`/mkinstalldirs"
+mkinstalldirs="`cd $ac_aux_dir && ${PWDCMD-pwd}`/mkinstalldirs"
AC_SUBST(mkinstalldirs)
AM_INIT_AUTOMAKE(zlib, 1.1.3)